CREATE TABLE IF NOT EXISTS `#__tracks_participants_roles` (
    `id` int(11) NOT NULL auto_increment,
    `name` VARCHAR(255) NOT NULL,
    `short_name` VARCHAR(10) NOT NULL,
    `description` TEXT NOT NULL,
    `ordering` int(11) NOT NULL,
    `checked_out` int(11) NOT NULL,
    `checked_out_time` datetime NOT NULL,
    `params` text NOT NULL,
    PRIMARY KEY  (`id`)
    ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `#__tracks_participants_individuals` (
    `id` int(11) NOT NULL auto_increment,
    `participant_id` int(11) NOT NULL,
    `individual_id` int(11) NOT NULL,
    `role_id` int(11) NULL,
    `checked_out` int(11) NOT NULL,
    `checked_out_time` datetime NOT NULL,
    `params` text NOT NULL,
    PRIMARY KEY  (`id`),
    KEY `individual_id` (`individual_id`),
        CONSTRAINT `fk_#__tracks_participants_individuals_1`
        FOREIGN KEY (`individual_id`)
        REFERENCES `#__tracks_individuals` (`id`)
        ON DELETE CASCADE
        ON UPDATE CASCADE,
    KEY `role_id` (`role_id`),
    CONSTRAINT `fk_#__tracks_participants_individuals_2`
        FOREIGN KEY (`role_id`)
        REFERENCES `#__tracks_participants_roles` (`id`)
        ON UPDATE CASCADE
    ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__tracks_participants_roles` SET `id` = 1, `name` = 'COM_TRACKS_PARTICIPANT';

INSERT INTO `#__tracks_participants_individuals` (`participant_id`, `individual_id`, `role_id`)
    SELECT `id`, `individual_id`, 1 FROM `#__tracks_participants`;

ALTER TABLE `#__tracks_participants` DROP FOREIGN KEY `fk_#__tracks_participants_1`;
ALTER TABLE `#__tracks_participants` DROP KEY `individual_id`;
